org.apache.olingo.server.api.serializer

## Class PrimitiveValueSerializerOptions

- java.lang.Object
- - org.apache.olingo.server.api.serializer.PrimitiveValueSerializerOptions

-     public class PrimitiveValueSerializerOptions
      extends Object

  Options for the OData serializer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PrimitiveValueSerializerOptions.Builder` Builder of OData serializer options.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getMaxLength()` Gets the maxLength facet.
    `Integer` | `getPrecision()` Gets the precision facet.
    `Integer` | `getScale()` Gets the scale facet.
    `Boolean` | `isNullable()` Gets the nullable facet.
    `Boolean` | `isUnicode()` Gets the unicode facet.
    `static PrimitiveValueSerializerOptions.Builder` | `with()` Initializes the options builder.
    `String` | `xml10InvalidCharReplacement()` Gets the replacement string for unicode characters, that is not allowed in XML 1.0

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isNullable

          public Boolean isNullable()

      Gets the nullable facet.

    - #### getMaxLength

          public Integer getMaxLength()

      Gets the maxLength facet.

    - #### getPrecision

          public Integer getPrecision()

      Gets the precision facet.

    - #### getScale

          public Integer getScale()

      Gets the scale facet.

    - #### isUnicode

          public Boolean isUnicode()

      Gets the unicode facet.

    - #### xml10InvalidCharReplacement

          public String xml10InvalidCharReplacement()

      Gets the replacement string for unicode characters, that is not allowed in XML 1.0

    - #### with

          public static PrimitiveValueSerializerOptions.Builder with()

      Initializes the options builder.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.